Loading...
Searching...
No Matches
Opm::DiffusionExtensiveQuantities< TypeTag, true > Class Template Reference

Provides the quantities required to calculate diffusive mass fluxes. More...

`#include <diffusionmodule.hh>`

## Public Member Functions

const Evaluation & | moleFractionGradientNormal (unsigned phaseIdx, unsigned compIdx) const
| The the gradient of the mole fraction times the face normal.
const Evaluation & | effectiveDiffusionCoefficient (unsigned phaseIdx, unsigned compIdx) const
| The effective diffusion coeffcient of a component in a fluid phase at the face's integration point.

## Protected Member Functions

void | update_ (const ElementContext &elemCtx, unsigned faceIdx, unsigned timeIdx)
| Update the quantities required to calculate the diffusive mass fluxes.
template<class Context, class FluidState>
void | updateBoundary_ (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)

## Detailed Description

template<class TypeTag>
class Opm::DiffusionExtensiveQuantities< TypeTag, true >

Provides the quantities required to calculate diffusive mass fluxes.

## Member Function Documentation

## effectiveDiffusionCoefficient()

template<class TypeTag>

const Evaluation & Opm::DiffusionExtensiveQuantities< TypeTag, true >::effectiveDiffusionCoefficient | ( | unsigned | phaseIdx,
|  | unsigned | compIdx ) const

inline

The effective diffusion coeffcient of a component in a fluid phase at the face's integration point.

## moleFractionGradientNormal()

template<class TypeTag>

const Evaluation & Opm::DiffusionExtensiveQuantities< TypeTag, true >::moleFractionGradientNormal | ( | unsigned | phaseIdx,
|  | unsigned | compIdx ) const

inline

The the gradient of the mole fraction times the face normal.

The documentation for this class was generated from the following file:

- opm/models/common/diffusionmodule.hh